Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter
Class AbstractTraceAnalysisFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

Direct Known Subclasses:
  AbstractTraceProcessingFilter, ExecutionRecordTransformationFilter, SystemModel2FileFilter

    public abstract class AbstractTraceAnalysisFilter

extends AbstractFilterPlugin

Since:
  1.2
Author:
  Andre van Hoorn

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_VALUE_VERBOSE`
`static String` | `REPOSITORY_PORT_NAME_SYSTEM_MODEL` The name of the repository port for the system model repository.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`AbstractTraceAnalysisFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`static Execution` | `createExecutionByEntityNames(SystemModelRepository systemModelRepository, String executionContainerName, String assemblyComponentTypeName, Signature operationSignature, long traceId, String sessionId, int eoi, int ess, long tin, long tout, boolean assumed)`
`static Execution` | `createExecutionByEntityNames(SystemModelRepository systemModelRepository, String executionContainerName, String assemblyComponentTypeName, String componentTypeName, Signature operationSignature, long traceId, String sessionId, int eoi, int ess, long tin, long tout, boolean assumed)`
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`SystemModelRepository` | `getSystemEntityFactory()`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### CONFIG_PROPERTY_VALUE_VERBOSE

    public static final String CONFIG_PROPERTY_VALUE_VERBOSE

See Also:
  Constant Field Values

### REPOSITORY_PORT_NAME_SYSTEM_MODEL

    public static final String REPOSITORY_PORT_NAME_SYSTEM_MODEL

  The name of the repository port for the system model repository.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractTraceAnalysisFilter

    public AbstractTraceAnalysisFilter(Configuration configuration,
                                       IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  Description copied from class: `AbstractAnalysisComponent`
  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### createExecutionByEntityNames

    public static final Execution createExecutionByEntityNames(SystemModelRepository systemModelRepository,
                                                               String executionContainerName,
                                                               String assemblyComponentTypeName,
                                                               String componentTypeName,
                                                               Signature operationSignature,
                                                               long traceId,
                                                               String sessionId,
                                                               int eoi,
                                                               int ess,
                                                               long tin,
                                                               long tout,
                                                               boolean assumed)

### createExecutionByEntityNames

    public static final Execution createExecutionByEntityNames(SystemModelRepository systemModelRepository,
                                                               String executionContainerName,
                                                               String assemblyComponentTypeName,
                                                               Signature operationSignature,
                                                               long traceId,
                                                               String sessionId,
                                                               int eoi,
                                                               int ess,
                                                               long tin,
                                                               long tout,
                                                               boolean assumed)

### getSystemEntityFactory

    public final SystemModelRepository getSystemEntityFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net